Loading...
Searching...
No Matches
RDKit::MolWriter Class Referenceabstract

`#include <MolWriters.h>`

Inheritance diagram for RDKit::MolWriter:

## Public Member Functions

virtual | ~MolWriter ()
virtual void | write (const ROMol &mol, int confId=defaultConfId)=0
virtual void | flush ()=0
virtual void | close ()=0
virtual void | setProps (const STR_VECT &propNames)=0
virtual unsigned int | numMols () const =0

## Detailed Description

Definition at line 37 of file MolWriters.h.

## Constructor & Destructor Documentation

## ~MolWriter()

virtual RDKit::MolWriter::~MolWriter | ( |  | ) |

inline virtual

Definition at line 39 of file MolWriters.h.

## Member Function Documentation

## close()

virtual void RDKit::MolWriter::close | ( |  | ) |

pure virtual

Implemented in RDKit::PDBWriter, RDKit::SDWriter, RDKit::SmilesWriter, and RDKit::TDTWriter.

## flush()

virtual void RDKit::MolWriter::flush | ( |  | ) |

pure virtual

Implemented in RDKit::PDBWriter, RDKit::SDWriter, RDKit::SmilesWriter, and RDKit::TDTWriter.

## numMols()

virtual unsigned int RDKit::MolWriter::numMols | ( |  | ) | const

pure virtual

Implemented in RDKit::PDBWriter, RDKit::SDWriter, RDKit::SmilesWriter, and RDKit::TDTWriter.

## setProps()

virtual void RDKit::MolWriter::setProps | ( | const STR_VECT & | propNames | ) |

pure virtual

Implemented in RDKit::PDBWriter, RDKit::SDWriter, RDKit::SmilesWriter, and RDKit::TDTWriter.

## write()

virtual void RDKit::MolWriter::write | ( | const ROMol & | mol,
|  | int | confId = defaultConfId )

pure virtual

Implemented in RDKit::PDBWriter, RDKit::SDWriter, RDKit::SmilesWriter, and RDKit::TDTWriter.

References RDKit::defaultConfId.

The documentation for this class was generated from the following file:

- MolWriters.h